#include <iostream>
using namespace std;
int main()
{
    int n, k, i, indeks, p;
    cin>>n>>k;
    int niz[n];
    for (i=0; i<n; i++)
    {
        cin>>niz[i];
    }
    for (i=0; i<n; i++)
    {
        if (k==niz[i])
        indeks=i;
    }
    if (indeks!=n-1) {p=niz[indeks+1];}
    else {p=niz[0];}
    cout<<p<<endl;
    return 0;
}